namespace: kpack
serviceAccount:
  # Specifies whether a service account should be created
  create: false
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  name: "kpack"
  # List any secrets you wish to associate with this service account
  secrets:
    # - kpack-dockerhub-auth
    # - kpack-github-ssh-auth

  # List any imagePullSecrets you wish to associate with the service account
  imagePullSecrets:
    # - kpack-dockerhub-auth
    # - kpack-auth

clusterStore:
  # Specifies whether a cluster store should be created
  create: false
  # Annotations to add to the cluster store
  annotations: {}
  # The name of the cluster store to use.
  # If not set and create is true, a name is generated using the fullname template
  name: "kpack"
  # List the cluster store source images you with to use
  images:
    - gcr.io/paketo-buildpacks/nodejs
    - gcr.io/paketo-buildpacks/ruby
    - gcr.io/paketo-buildpacks/go

clusterStack:
  # Specifies whether a cluster stack should be created
  create: false
  # Annotations to add to the cluster stack
  annotations: {}
  # The name of the cluster stack to use.
  # If not set and create is true, a name is generated using the fullname template
  name: "kpack"
  # The id of the cluster stack to use.
  id: "io.buildpacks.stack.bionic"
  # The build image of the cluster stack to use.
  buildImage: "paketobuildpacks/build:base-cnb"
  # The run image of the cluster stack to use.
  runImage: "paketobuildpacks/run:base-cnb"

builder:
  # Specifies whether a builder should be created
  create: false
  # Annotations to add to the builder
  annotations: {}
  # The name of the builder to use.
  # If not set and create is true, a name is generated using the fullname template
  name: "kpack"
  # The name of the builder to use.
  tag: "kpack-builder"
  order:
    - "paketo-buildpacks/ruby"
    - "paketo-buildpacks/nodejs"
    - "paketo-buildpacks/go"

clusterBuilder:
  # Specifies whether a builder should be created
  create: false
  # Annotations to add to the builder
  annotations: {}
  # The name of the builder to use.
  # If not set and create is true, a name is generated using the fullname template
  name: "kpack"
  # The name of the builder to use.
  tag: "kpack-builder"
  order:
    - "paketo-buildpacks/ruby"
    - "paketo-buildpacks/nodejs"
    - "paketo-buildpacks/go"

image:
  # Specifies whether an image should be created
  create: false
  # Where the Image API Object should be kept. Needs to be in same Namespace
  # as the secrets
  namespace: "kpack"
  # Annotations to add to the image
  annotations: {}
  # The name of the image to use.
  name: ""
  # The docker tag to use on the built image
  tag: ""
  # What kind of builder do you want to use? Builder or ClusterBuilder
  builderKind: "Builder"
  # size of the cache
  cacheSize: "2G"
  # Where does your source code live?
  source:
    subpath: ""
    git:
      url: ""
      revision: "main"
    blob:
      url: ""
      stripComponents: 0
    registry:
      image: ""
      imagePullSecretsName: ""
  # Attach any secret bindings. Secrets must be in the same namespace.
  # See https://github.com/pivotal/kpack/blob/main/docs/servicebindings.md
  bindings:
    # - "binding-npmrc"
  nodeSelector: {}
